html, body {
	height: 100%;
	margin: 0;
	padding: 0;
	overflow: hidden;
	font-size: 14px;
	font-family: sans-serif;
  background: var(--color-very-dark-gray);
}

::-webkit-scrollbar {
	background-color: var(--color-very-dark-gray);
	width: 3px;
}

::-webkit-scrollbar-thumb:window-inactive,
::-webkit-scrollbar-thumb {
	background:  var(--color-teal);
}

:focus {
	border: 1px solid var(--color-light-teal);
  outline: 0;
}

div:focus {
	border: 0;
  outline: 0;
}

input[type="datetime-local"],
input[type="email"],
input[type="file"],
input[type="month"],
input[type="date"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
input[list],
select,
textarea {
	border: 1px solid transparent;
	background: var(--color-very-dark-gray);
	color: var(--color-light-orange);
	outline: 0;
	width: 90%;
}

/*
button
checkbox
color
image
radio
reset
submit
*/

input:focus, textarea:focus {
	border-radius: 3px;
	border: 1px solid var(--color-light-teal);
  outline: 0;
}

input::-webkit-calendar-picker-indicator {
  background-color: inherit;
	cursor: pointer;
}

select {
	cursor: pointer;
}

dialog::backdrop {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
	/* var(...) does not work here */
  background-color: rgba(20, 20, 20, 0.4);
}

dialog {
  padding: 10px;
  border: 0;
	background: var(--color-dark-gray);
  border-radius: 5px;
	min-width: 150px;
	min-height: 100px;
	color: var(--color-very-light-gray);
  overflow: hidden;
}

dialog h1 {
	text-align: center;
	color: var(--color-gray);
	font-size: 1.8em;
}

button {
  padding: 3px 7px;
  margin: 0 5px;
	border: 0;
	background: var(--color-gray);
	border-radius: 3px;
	color: var(--color-very-light-gray);
  border: 1px solid transparent;
}

button:hover {
  border: 1px solid var(--color-light-orange);
  cursor: pointer;
}
